shapiro_table_function <- function(data,num_col){
  
  shapiro <- data.frame()
  
  
  for (col in num_col){
    tryCatch({
      a <- shapiro.test(as.numeric(data[[col]]))
      shapiro <- rbind(shapiro,c(col,"","Shapiro",a$p.value))
      colnames(shapiro) <- c("Column","Classe","Test","p-value")
    },
    error=function(e) {
      message('An Error Occurred')
      cat("Erreur :", conditionMessage(e), "\n")
      traceback()
    },
    warning=function(w) {
      message('A Warning Occured')
      print(w)
      return(NA)
    })
    
  }
  
  return(shapiro)
}